local Camera = require "camera"

local rect = {
    x = 0,
    y = 0,
    w = 16,
    h = 16,
    speed = 100,
}

local bush = {
    x = 0,
    y = 0,
    w = 10,
    h = 10,
}
local camera
function love.load()
    camera = Camera()
    camera.scale = 2
    camera:setFollowStyle("PLATFORMER")-- or "none" or "LOCKON" cause it
end

function love.update(dt)

    camera:update(dt)
    rect.x = rect.x + rect.speed*dt
    if rect.x > 400 or rect.x<0 then
        rect.speed = rect.speed*-1
    end
    camera:follow(rect.x,rect.y)
end

function love.draw()
    camera:attach()
    love.graphics.rectangle("fill",rect.x,rect.y,rect.w,rect.h)
    love.graphics.setColor(0,1,.02)
    love.graphics.rectangle("fill",bush.x,bush.y,bush.w,bush.h)
    love.graphics.setColor(1,1,1)
    camera:detach()
end

function love.mousepressed()
    camera.scale = camera.scale + 1
    if camera.scale > 3 then
        camera.scale = 1
    end
end